com.smartgwt.client.event

## Class AbstractSmartEvent<H extends EventHandler>

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>

- Direct Known Subclasses:
    BlurEvent, BrowserEvent, CanEditChangedEvent, ChangedEvent, ChangedEvent, ChangeEvent, ChangeEvent, ClickEvent, ClickEvent, DataArrivedEvent, DataArrivedEvent, DataChangedEvent, DataChangedEvent, DoubleClickEvent, DragMove, DragResizeMoveEvent, DragResizeStartEvent, DragResizeStopEvent, DragStart, DragStop, EditMaskClickedEvent, EditorEnterEvent, EditorEnterEvent, EditorExitEvent, EditorExitEvent, ErrorEvent, FocusEvent, FormItemIconClickEvent, IconClickEvent, IconKeyPressEvent, ItemHoverEvent, KeyDownEvent, KeyPressEvent, KeyUpEvent, MenuItemClickEvent, MouseDownEvent, MouseMoveEvent, MouseOutEvent, MouseOverEvent, MouseUpEvent, MovedEvent, NodeAddedEvent, PickerColorSelectedEvent, PickerIconClickEvent, ReadOnlyDisplayChangedEvent, RecordClickEvent, ResizedEvent, SelectedEditNodesUpdatedEvent, ShowContextMenuEvent, ShowValueEvent, TitleClickEvent, TitleDoubleClickEvent, TitleHoverEvent, ValueHoverEvent, ValueIconClickEvent, ValueIconClickEvent

      public abstract class AbstractSmartEvent<H extends EventHandler>
      extends GwtEvent<H>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JavaScriptObject` | `jsObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSmartEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jsObj

          protected JavaScriptObject jsObj

  - ### Constructor Detail

    - #### AbstractSmartEvent

          protected AbstractSmartEvent(JavaScriptObject jsObj)